<?php

include_once 'products-xml.class.php';
use annapol_products_xml\annapol_products_xml;


$config = [
    // Expiries downloaded xml file
    'expiries' => 60*60,

    // URL xml file
    'url' => 'https://www.annapol.com/xml-products.php?user=EMAIL_ADDRESS&hash=YOUR_HASH'
];

try {

    $products = new annapol_products_xml;
    $products->xml_file = $config['url'];
//echo 123;

    if (!file_exists($products->filename()) || ((time() - filemtime($products->filename())) > ($config['expiries']))) {
        $products->download();
    }

    $row = $products->get_products();

    // Get the first element of an array
    echo '<pre>';
    print_r( array_values($row)[0] );
    echo '</pre>';

}
catch ( Exception $e ) {
    echo '<h1>File: '.$e->getFile().'</h1>'
        . '<h2>Number line: '.($e->getLine()-1).'</h2>'
        . '<div>Komunikat: ' . ( !$e->getMessage() ? '' : $e->getMessage() );
}


?>
